/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

import org.springframework.jms.listener.adapter.MessageListenerAdapter
import org.codehaus.groovy.grails.commons.ConfigurationHolder

String brokerDestination = ConfigurationHolder.config.tacenergy.server
String user = ConfigurationHolder.config.tacenergy.username
String pass = ConfigurationHolder.config.tacenergy.apikey
// Place your Spring DSL code here
beans = {

  jmsConnectionFactory(org.apache.activemq.pool.PooledConnectionFactory) {bean ->
    bean.destroyMethod = "stop"
    connectionFactory = {org.apache.activemq.ActiveMQConnectionFactory cf ->
      clientID=ConfigurationHolder.config.tacenergy.username
      brokerURL = brokerDestination
      userName = user
      password = pass
    }
  }

  jmsTemplate(org.springframework.jms.core.JmsTemplate) {
    connectionFactory = jmsConnectionFactory
  }


  // JMS support: queue Listeners and containers for JmsNotificationservice

  jmsNotificationListener(MessageListenerAdapter, ref("jmsNotificationService")) {
    defaultListenerMethod = "receiveNotification"
  }

  jmsNotificationContainer(org.springframework.jms.listener.DefaultMessageListenerContainer) {
    connectionFactory = jmsConnectionFactory
    destinationName = "users.${user}.outputQueue"
    messageListener = jmsNotificationListener
    transactionManager = ref("transactionManager")
    autoStartup = false
  }

}