/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

package edu.kit.iism.tacdemo

class DepotPosition {

  Long serverId
  Competition competition
  Product product
  Double change
  Double balance
  String description
  Date dateCreated = new Date();
  Long transactionID
  Boolean latest = true

  static belongsTo = [product: Product]

  static constraints = {
    serverId(nullable: true)
    competition (nullable: false)
    product (nullable: false)
    change(nullable: false)
    balance(nullable: false)
    description(nullable: true)
    dateCreated(nullable: false)
    transactionID(nullable: false)
    latest(nullable: false)
  }

 static mapping = {
    change column: "relative_change"
  }
  
  public String toString() {
    return "${change}-${description}-${dateCreated}"
  }
}
