%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<html>
<head>
  <title>Welcome to the TAC Energy Demo Client</title>
  <meta name="layout" content="main"/>
  <style type="text/css" media="screen">

  #nav {
    margin-top: 20px;
    margin-left: 30px;
    width: 228px;
    float: left;

  }

  .homePagePanel * {
    margin: 0px;
  }

  .homePagePanel .panelBody ul {
    list-style-type: none;
    margin-bottom: 10px;
  }

  .homePagePanel .panelBody h1 {
    text-transform: uppercase;
    font-size: 1.1em;
    margin-bottom: 10px;
  }

  .homePagePanel .panelBody {
    background: url(images/leftnav_midstretch.png) repeat-y top;
    margin: 0px;
    padding: 15px;
  }

  .homePagePanel .panelBtm {
    background: url(images/leftnav_btm.png) no-repeat top;
    height: 20px;
    margin: 0px;
  }

  .homePagePanel .panelTop {
    background: url(images/leftnav_top.png) no-repeat top;
    height: 11px;
    margin: 0px;
  }

  p {
    margin: 10px 0 10px 0;
  }

  h2 {
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: 1.2em;
  }

  #pageBody {
    margin-left: 280px;
    margin-right: 20px;
  }
  </style>
</head>
<body>
<div id="nav">
  <div class="homePagePanel">
    <div class="panelTop">
    </div>
    <div class="panelBody">
      <h1>Application Status</h1>
      <ul>
        <li>App version: <g:meta name="app.version"></g:meta></li>
        <li>Grails version: <g:meta name="app.grails.version"></g:meta></li>
        <li>JVM version: ${System.getProperty('java.version')}</li>
        <li>Controllers: ${grailsApplication.controllerClasses.size()}</li>
        <li>Domains: ${grailsApplication.domainClasses.size()}</li>
        <li>Services: ${grailsApplication.serviceClasses.size()}</li>
        <li>Tag Libraries: ${grailsApplication.tagLibClasses.size()}</li>
      </ul>
      <h1>Installed Plugins</h1>
      <ul>
        <g:set var="pluginManager"
            value="${applicationContext.getBean('pluginManager')}"></g:set>

        <g:each var="plugin" in="${pluginManager.allPlugins}">
          <li>${plugin.name} - ${plugin.version}</li>
        </g:each>

      </ul>
    </div>
    <div class="panelBtm">
    </div>
  </div>

</div>
<div id="pageBody">
  <h1>Welcome to the TAC Energy Demo Client</h1>
  <g:if test="${flash.message}">
    <div class="message">${flash.message}</div>
  </g:if>
  <p>Congratulations, you have successfully managed to start the TAC Energy Demo Client!</p>
  <p>
    This web application is merely a showcase that should help you to get started implementing
    your own TAC Energy agent. It provides you with some sample code that shows how to interact
    with the TAC energy server.
    Note that the we love the <a href="http://grails.org" target="_blank">grails web application development
  platform</a> and we think this technology provides a nice basis for creating your own agent. But this is
  only a recommendation.
  Feel free to use whatever technology suits best to you needs to implement the latest and
  greatest in artificial agent technology. And now have fun!
  </p>
  <p>
    <b>The TAC Energy Development Team</b>
  </p>

  <div id="controllerList" class="dialog">
    <h2>What to do next?</h2>
    <div><g:link controller="competition">View competitions</g:link></div>
    <div><g:link controller="competition" action="deleteAll" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');">Delete all old data!</g:link></div>
    <br/>
    <div><g:link controller="competition" action="ready">Send Ready Notification to server.</g:link></div>
    <br/>
    <div><g:link controller="shout" action="create">Manually submit a shout to the server</g:link></div>
    <div><g:link controller="shout">View Shouts</g:link></div>
    <div><g:link controller="tradeLog">View Trades</g:link></div>
    <div><g:link controller="quoteLog">View Quotes</g:link></div>
    <div><g:link controller="orderbook">View Orderbooks</g:link></div>
    <br/>
    <div><g:link controller="cashPosition">View cash account</g:link></div>
    <div><g:link controller="depotPosition">View depot</g:link></div>
    <br/>
    <div><g:link controller="forecast">View demand and supply forecasts</g:link></div>
    <br/>
    <div><g:link controller="product">View product list</g:link></div>
    <br/>
    <div><g:link controller="runtimeLogging">Adjust logging verbosity</g:link></div>
    
  </div>
	<h2>Your current agent configuration:</h2>
  <table style="width: 400px">
  <thead/>
  <tbody>
  <tr>
    <td>Username:</td>
    <td>${grailsApplication.config.tacenergy.username}</td>
  </tr>
  <tr>
    <td>Api Key:</td>
    <td>${grailsApplication.config.tacenergy.apikey}</td>
  </tr>
  <tr>
    <td>TAC Energy Server URL:</td>
    <td>${grailsApplication.config.tacenergy.server}</td>
  </tr>
  </tbody>
  </table>
  <p>If you experience any <a href="https://bugs.launchpad.net/tacenergydemo" target="_blank">bugs or problems please
  let us know.</a>
    Also if you have <a href="https://blueprints.launchpad.net/tacenergydemo" target="_blank">any ideas</a> on how to
  improve server or client, <a href="https://blueprints.launchpad.net/tacenergydemo" target="_blank">just tell us!</a>
    Your feedback is a very valuable contribution for the improvement of server and client!
  </p>
</div>
</body>
</html>