%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.tacdemo.Shout" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="layout" content="main"/>
  <g:set var="entityName" value="${message(code: 'shout.label', default: 'Shout')}"/>
  <title><g:message code="default.create.label" args="[entityName]"/></title>
</head>
<body>
<div class="nav">
  <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
  <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]"/></g:link></span>
</div>
<div class="body">
  <h1><g:message code="default.create.label" args="[entityName]"/></h1>
  <g:if test="${flash.message}">
    <div class="message">${flash.message}</div>
  </g:if>
  <g:hasErrors bean="${shoutInstance}">
    <div class="errors">
      <g:renderErrors bean="${shoutInstance}" as="list"/>
    </div>
  </g:hasErrors>
  <g:form action="save" method="post">
    <div class="dialog">
      <table>
        <tbody>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="product"><g:message code="shout.product.label" default="Product"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: shoutInstance, field: 'product', 'errors')}">
            <g:select name="product.id" from="${edu.kit.iism.tacdemo.Product.findAllByEnabled(true)}" optionKey="id" value="${shoutInstance?.product?.id}"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="buySellIndicator"><g:message code="shout.buySellIndicator.label" default="Buy Sell Indicator"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: shoutInstance, field: 'buySellIndicator', 'errors')}">
            <g:select name="buySellIndicator" from="${edu.kit.iism.tacdemo.BuySellIndicator?.values()}" value="${shoutInstance?.buySellIndicator}"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="remainingQuantity"><g:message code="shout.remainingQuantity.label" default="Quantity"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: shoutInstance, field: 'remainingQuantity', 'errors')}">
            <g:textField name="remainingQuantity" value="${fieldValue(bean: shoutInstance, field: 'remainingQuantity')}"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="limitPrice"><g:message code="shout.limitPrice.label" default="Limit Price"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: shoutInstance, field: 'limitPrice', 'errors')}">
            <g:textField name="limitPrice" value="${fieldValue(bean: shoutInstance, field: 'limitPrice')}"/>
          </td>
        </tr>

        <tr class="prop">
          <td valign="top" class="name">
            <label for="orderType"><g:message code="shout.orderType.label" default="Order Type"/></label>
          </td>
          <td valign="top" class="value ${hasErrors(bean: shoutInstance, field: 'orderType', 'errors')}">
            <g:select name="orderType" from="${edu.kit.iism.tacdemo.OrderType?.values()}" value="${shoutInstance?.orderType}"/>
          </td>
        </tr>

        </tbody>
      </table>
    </div>
    <div class="buttons">
      <span class="button"><g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}"/></span>
    </div>
  </g:form>
</div>
</body>
</html>
