
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.tacdemo.Shout" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'shout.label', default: 'Shout')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'shout.id.label', default: 'Id')}" />
                        
                            <g:sortableColumn property="serverId" title="${message(code: 'shout.serverId.label', default: 'Server Id')}" />
                        
                            <th><g:message code="shout.competition.label" default="Competition" /></th>
                   	    
                            <th><g:message code="shout.product.label" default="Product" /></th>
                   	    
                            <g:sortableColumn property="buySellIndicator" title="${message(code: 'shout.buySellIndicator.label', default: 'Buy Sell Indicator')}" />
                        
                            <g:sortableColumn property="remainingQuantity" title="${message(code: 'shout.remainingQuantity.label', default: 'Remaining Quantity')}" />
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${shoutInstanceList}" status="i" var="shoutInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" id="${shoutInstance.id}">${fieldValue(bean: shoutInstance, field: "id")}</g:link></td>
                        
                            <td>${fieldValue(bean: shoutInstance, field: "serverId")}</td>
                        
                            <td>${fieldValue(bean: shoutInstance, field: "competition")}</td>
                        
                            <td>${fieldValue(bean: shoutInstance, field: "product")}</td>
                        
                            <td>${fieldValue(bean: shoutInstance, field: "buySellIndicator")}</td>
                        
                            <td>${fieldValue(bean: shoutInstance, field: "remainingQuantity")}</td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${shoutInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
