
%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.tacdemo.Shout" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'shout.label', default: 'Shout')}" />
        <title><g:message code="default.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: shoutInstance, field: "id")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.serverId.label" default="Server Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: shoutInstance, field: "serverId")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.competition.label" default="Competition" /></td>
                            
                            <td valign="top" class="value"><g:link controller="competition" action="show" id="${shoutInstance?.competition?.id}">${shoutInstance?.competition?.encodeAsHTML()}</g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.product.label" default="Product" /></td>
                            
                            <td valign="top" class="value"><g:link controller="product" action="show" id="${shoutInstance?.product?.id}">${shoutInstance?.product?.encodeAsHTML()}</g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.buySellIndicator.label" default="Buy Sell Indicator" /></td>
                            
                            <td valign="top" class="value">${shoutInstance?.buySellIndicator?.encodeAsHTML()}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.remainingQuantity.label" default="Remaining Quantity" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: shoutInstance, field: "remainingQuantity")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.limitPrice.label" default="Limit Price" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: shoutInstance, field: "limitPrice")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.executionQuantity.label" default="Execution Quantity" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: shoutInstance, field: "executionQuantity")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.executionPrice.label" default="Execution Price" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: shoutInstance, field: "executionPrice")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.orderType.label" default="Order Type" /></td>
                            
                            <td valign="top" class="value">${shoutInstance?.orderType?.encodeAsHTML()}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.dateCreated.label" default="Date Created" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${shoutInstance?.dateCreated}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.dateMod.label" default="Date Mod" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${shoutInstance?.dateMod}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.modReasonCode.label" default="Mod Reason Code" /></td>
                            
                            <td valign="top" class="value">${shoutInstance?.modReasonCode?.encodeAsHTML()}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.outdated.label" default="Outdated" /></td>
                            
                            <td valign="top" class="value"><g:formatBoolean boolean="${shoutInstance?.outdated}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.transactionID.label" default="Transaction ID" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: shoutInstance, field: "transactionID")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.auctionTradeFlag.label" default="Auction Trade Flag" /></td>
                            
                            <td valign="top" class="value">${shoutInstance?.auctionTradeFlag?.encodeAsHTML()}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="shout.shoutID.label" default="Shout ID" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: shoutInstance, field: "shoutID")}</td>
                            
                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <g:hiddenField name="id" value="${shoutInstance?.id}" />
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
